Album: Selections from our Session - EP
Date: December 17, 2021
Date Added: May 04, 2025
URLs:
- https://cheezquest.bandcamp.com/album/selections-from-our-session-ep
Artists:
- Josh “HyperOrange” Woodward
Cover Artists:
- bingofbings
Wallpaper Artists:
- bingofbings
- Jebb (edits for wiki)
Cover Art File Extension: png
Wallpaper File Extension: png
Color: '#e3027a'
Art Tags:
- Derse Blimp (CheezQuest)
Groups:
- CheezQuest
- Fandom
---
Track: Avenue
Duration: 1:16
URLs:
- https://cheezquest.bandcamp.com/track/avenue
---
Track: Mazes and Smoke
Duration: 2:58
URLs:
- https://cheezquest.bandcamp.com/track/mazes-and-smoke
---
Track: Dunes and Deadlines
Duration: 1:20
URLs:
- https://cheezquest.bandcamp.com/track/dunes-and-deadlines-2
---
Track: Treecore
Contributors:
- Roun12 (piano solo)
Additional Names:
- Name: Treecore [Collab w/ Roun12]
  Annotation: '[Bandcamp](https://cheezquest.bandcamp.com/track/treecore-collab-w-roun12)'
Duration: 4:29
URLs:
- https://cheezquest.bandcamp.com/track/treecore-collab-w-roun12
---
Track: Nomads and Silence
Duration: 1:55
URLs:
- https://cheezquest.bandcamp.com/track/nomads-and-silence
---
Track: Derse Dreamers
Suffix Directory: true
Always Reference By Directory: true
Duration: 2:10
URLs:
- https://cheezquest.bandcamp.com/track/derse-dreamers
---
Track: Op. 7
Duration: 2:38
URLs:
- https://cheezquest.bandcamp.com/track/op-7
---
Track: Onsen
Duration: 3:16
URLs:
- https://cheezquest.bandcamp.com/track/onsen
